<template>
  <div>
    <div class="fixed_header">
      <Header />
    </div>
    <router-view />
  </div>
</template>

<script>
import Header from "./components/Header.vue";
export default {
  name: "App",
  components: {
    Header,
  },
};
</script>

<style>
*,
*::before,
*::after {
  box-sizing: border-box;
}
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}
body {
  margin: 0;
  background: #eaeaea;
}
.fixed_header {
  position: fixed;
  width: 100%;
  z-index: 999;
  border-bottom: 1px solid #a2a2a2;
  top: 0;
}
.btn {
  cursor: pointer;
}
.content {
  margin-top: 164px;
}
@media (min-width: 40rem) {
  .content {
    margin-top: 164px;
  }
}
@media (min-width: 56rem) {
  .content {
    margin-top: 113px;
  }
}
@media (max-width: 500px) {
  .fixed_header {
    position: relative;
  }
  .content {
    margin: 0;
  }
}
</style>
